From 9759daf932c5697008caaa14ac3ad9bbfefae571 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 13 2017 17:00:53 +0000
Subject: [PATCH 49/51] improve wording in some detailed descriptions


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 28a0712..5f991da 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -468,8 +468,8 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_dependencies')
-    @detail("The 'buildrequires' dependencies block must be a dictionary"
-            " (key/value).")
+    @detail("The 'buildrequires' block beneath 'dependencies' must be a"
+            " dictionary (key/value).")
     @prerequisite('dependencies_dict')
     def lint_dependencies_buildrequires_dict(self):
         """Modules MAY depend on other modules. These module relationships are
@@ -496,7 +496,7 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_dependencies')
-    @detail("The 'requires' dependencies block must be a dictionary"
+    @detail("The 'requires' block beneath 'dependencies' must be a dictionary"
             " (key/value).")
     @prerequisite('dependencies_dict')
     def lint_dependencies_requires_dict(self):
@@ -625,7 +625,7 @@ class ModuleMDLinter(object):
 
     @warning
     @guidelines_link('#Module_API')
-    @detail("The 'api' block should only have the 'rpms' key.")
+    @detail("The 'api' block should have the 'rpms' key (and only that).")
     @prerequisite('api_dict')
     def lint_api_keys(self):
         """Every module SHOULD define its public API. Currently the only
@@ -634,7 +634,7 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_API')
-    @detail("All 'api' blocks must be lists.")
+    @detail("All blocks beneath 'api' must be lists.")
     @prerequisite('api_dict')
     def lint_api_blocks_are_lists(self):
         """Every module SHOULD define its public API."""
@@ -650,7 +650,7 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_API')
-    @detail("Every 'api' block must be a list of scalar items.")
+    @detail("Every block beneath 'api' must be a list of scalar items.")
     @prerequisite('api_blocks_are_lists')
     def lint_api_blocks_items_are_scalar(self):
         """Every module SHOULD define its public API."""
@@ -672,7 +672,7 @@ class ModuleMDLinter(object):
 
     @warning
     @guidelines_link('#Module_filters')
-    @detail("The 'filter' block should only have the 'rpms' key.")
+    @detail("The 'filter' block should have the 'rpms' key (and only that).")
     @prerequisite('filter_dict')
     def lint_filter_rpms(self):
         """Module filters define lists of components or other content that
@@ -682,7 +682,7 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_filters')
-    @detail("All 'filter' blocks must be lists.")
+    @detail("All blocks beneath 'filter' must be lists.")
     @prerequisite('filter_dict')
     def lint_filter_blocks_are_lists(self):
         """Module filters define lists of components or other content that
@@ -706,7 +706,7 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_filter')
-    @detail("Every 'filter' block must be a list of scalar items.")
+    @detail("Every block beneath 'filter' must be a list of scalar items.")
     @prerequisite('filter_blocks_are_lists')
     def lint_filter_blocks_items_are_scalar(self):
         """Module filters define lists of components or other content that
@@ -740,7 +740,8 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_components')
-    @detail("All 'components' blocks must be dictionaries (key/value).")
+    @detail("All blocks beneath 'components' must be dictionaries"
+            " (key/value).")
     @prerequisite('components_dict')
     def lint_components_blocks_dict(self):
         """Modules MAY, and most modules do contain a components block defining
@@ -749,7 +750,8 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_components')
-    @detail("All 'components/*' blocks must be dictionaries (key/value).")
+    @detail("All blocks two levels beneath 'components' must be dictionaries"
+            " (key/value).")
     @prerequisite('components_blocks_dict')
     def lint_components_subblocks_dict(self):
         """Modules MAY, and most modules do contain a components block defining
@@ -760,7 +762,7 @@ class ModuleMDLinter(object):
 
     @warning
     @guidelines_link('#Module_components')
-    @detail("One or more 'components' blocks are empty.")
+    @detail("One or more blocks beneath 'components' are empty.")
     @prerequisite('components_blocks_dict')
     def lint_components_blocks_empty(self):
         """Modules MAY, and most modules do contain a components block defining
@@ -769,7 +771,7 @@ class ModuleMDLinter(object):
 
     @warning
     @guidelines_link('#Module_components')
-    @detail("One or more 'components/*' blocks are empty.")
+    @detail("One or more blocks two levels beneath 'components' are empty.")
     @prerequisite('components_blocks_dict')
     def lint_components_subblocks_empty(self):
         """Modules MAY, and most modules do contain a components block defining

